//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Weapon {
/// <summary>
/// Enables laser sight on any weapon.<br /><br />It doesn&apos;t work. Neither on tick nor OnKeyDown
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC8B46D7727D864AA<br />
/// </para>
/// </remarks>
public static void EnableLaserSightRendering(bool toggle){
Function.Call((Hash)0xC8B46D7727D864AAuL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0DB57B41EC1DB083<br />
/// </para>
/// </remarks>
public static uint GetWeaponComponentTypeModel(uint componentHash){
return Function.Call<uint>((Hash)0x0DB57B41EC1DB083uL, componentHash);
}

/// <summary>
/// Returns the model of any weapon.<br /><br />Can also take an ammo hash?<br />sub_6663a(&amp;l_115B, WEAPON::GET_WEAPONTYPE_MODEL(${ammo_rpg}));
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF46CDC33180FDA94<br />
/// </para>
/// </remarks>
public static uint GetWeapontypeModel(uint weaponHash){
return Function.Call<uint>((Hash)0xF46CDC33180FDA94uL, weaponHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4215460B9B8B7FA0<br />
/// </para>
/// </remarks>
public static uint GetWeapontypeSlot(uint weaponHash){
return Function.Call<uint>((Hash)0x4215460B9B8B7FA0uL, weaponHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC3287EE3050FB74C<br />
/// </para>
/// </remarks>
public static uint GetWeapontypeGroup(uint weaponHash){
return Function.Call<uint>((Hash)0xC3287EE3050FB74CuL, weaponHash);
}

/// <summary>
/// Returns the amount of extra components the specified component has.<br />Returns -1 if the component isn&apos;t of type CWeaponComponentVariantModel.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 372<br />
/// <b>Native ID:</b> 0x6558AC7C17BFEF58<br />
/// </para>
/// </remarks>
public static int GetWeaponComponentVariantExtraCount(uint componentHash){
return Function.Call<int>((Hash)0x6558AC7C17BFEF58uL, componentHash);
}

/// <summary>
/// Returns the model hash of the extra component at specified index.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 372<br />
/// <b>Native ID:</b> 0x4D1CB8DC40208A17<br />
/// </para>
/// </remarks>
public static uint GetWeaponComponentVariantExtraModel(uint componentHash, int extraComponentIndex){
return Function.Call<uint>((Hash)0x4D1CB8DC40208A17uL, componentHash, extraComponentIndex);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xADF692B254977C0C<br />
/// </para>
/// </remarks>
public static void SetCurrentPedWeapon(int /* Ped */ ped, uint weaponHash, bool bForceInHand){
Function.Call((Hash)0xADF692B254977C0CuL, ped, weaponHash, bForceInHand);
}

/// <summary>
/// The return value seems to indicate returns true if the hash of the weapon object weapon equals the weapon hash.<br />p2 seems to be 1 most of the time.<br /><br /><br /><br /><br /><br />p2 is not implemented<br /><br />disassembly said that?<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3A87E44BB9A01D54<br />
/// </para>
/// </remarks>
public static bool GetCurrentPedWeapon(int /* Ped */ ped, ref uint weaponHash, bool p2){
var nativeAssistPointerVar0 = weaponHash;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x3A87E44BB9A01D54uL, ped, &nativeAssistPointerVar0, p2);
}
weaponHash = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3B390A939AF0B5FC<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static int GetCurrentPedWeaponEntityIndex(int /* Ped */ ped, int /* bug: Any */ p1){
return Function.Call<int>((Hash)0x3B390A939AF0B5FCuL, ped, p1);
}

/// <summary>
/// p1 is always 0 in the scripts.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8483E98E8B888AE2<br />
/// </para>
/// </remarks>
public static uint GetBestPedWeapon(int /* Ped */ ped, bool p1){
return Function.Call<uint>((Hash)0x8483E98E8B888AE2uL, ped, p1);
}

/// <summary>
/// Full list of weapons by DurtyFree (Search for VEHICLE_*): https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x75C55983C2C39DAA<br />
/// </para>
/// </remarks>
public static bool SetCurrentPedVehicleWeapon(int /* Ped */ ped, uint weaponHash){
return Function.Call<bool>((Hash)0x75C55983C2C39DAAuL, ped, weaponHash);
}

/// <summary>
/// Example in VB<br /><br />    Public Shared Function GetVehicleCurrentWeapon(Ped As Ped) As Integer<br />        Dim arg As New OutputArgument()<br />        Native.Function.Call(Hash.GET_CURRENT_PED_VEHICLE_WEAPON, Ped, arg)<br />        Return arg.GetResult(Of Integer)()<br />    End Function<br /><br />Usage:<br />If GetVehicleCurrentWeapon(Game.Player.Character) = -821520672 Then ...Do something<br />Note: -821520672 = VEHICLE_WEAPON_PLANE_ROCKET
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1017582BCD3832DC<br />
/// </para>
/// </remarks>
public static bool GetCurrentPedVehicleWeapon(int /* Ped */ ped, ref uint weaponHash){
var nativeAssistPointerVar0 = weaponHash;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x1017582BCD3832DCuL, ped, &nativeAssistPointerVar0);
}
weaponHash = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1734<br />
/// <b>Native ID:</b> 0x50276EF8172F5F12<br />
/// </para>
/// </remarks>
public static void SetPedCycleVehicleWeaponsOnly(int /* Ped */ ped){
Function.Call((Hash)0x50276EF8172F5F12uL, ped);
}

/// <summary>
/// Checks if the ped is currently equipped with a weapon matching a bit specified using a bitwise-or in typeFlags.<br /><br />Type flag bit values:<br />1 = Melee weapons<br />2 = Explosive weapons<br />4 = Any other weapons<br /><br />Not specifying any bit will lead to the native *always* returning &apos;false&apos;, and for example specifying &apos;4 | 2&apos; will check for any weapon except fists and melee weapons.<br />7 returns true if you are equipped with any weapon except your fists.<br />6 returns true if you are equipped with any weapon except melee weapons.<br />5 returns true if you are equipped with any weapon except the Explosives weapon group.<br />4 returns true if you are equipped with any weapon except Explosives weapon group AND melee weapons.<br />3 returns true if you are equipped with either Explosives or Melee weapons (the exact opposite of 4).<br />2 returns true only if you are equipped with any weapon from the Explosives weapon group.<br />1 returns true only if you are equipped with any Melee weapon.<br />0 never returns true.<br /><br />Note: When I say &quot;Explosives weapon group&quot;, it does not include the Jerry can and Fire Extinguisher.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x475768A975D5AD17<br />
/// </para>
/// </remarks>
public static bool IsPedArmed(int /* Ped */ ped, int typeFlags){
return Function.Call<bool>((Hash)0x475768A975D5AD17uL, ped, typeFlags);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x937C71165CF334B3<br />
/// </para>
/// </remarks>
public static bool IsWeaponValid(uint weaponHash){
return Function.Call<bool>((Hash)0x937C71165CF334B3uL, weaponHash);
}

/// <summary>
/// p2 should be FALSE, otherwise it seems to always return FALSE<br /><br />Bool does not check if the weapon is current equipped, unfortunately.<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8DECB02F88F428BC<br />
/// </para>
/// </remarks>
public static bool HasPedGotWeapon(int /* Ped */ ped, uint weaponHash, bool p2){
return Function.Call<bool>((Hash)0x8DECB02F88F428BCuL, ped, weaponHash, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB80CA294F2F26749<br />
/// </para>
/// </remarks>
public static bool IsPedWeaponReadyToShoot(int /* Ped */ ped){
return Function.Call<bool>((Hash)0xB80CA294F2F26749uL, ped);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEFFED78E9011134D<br />
/// </para>
/// </remarks>
public static uint GetPedWeapontypeInSlot(int /* Ped */ ped, uint weaponSlot){
return Function.Call<uint>((Hash)0xEFFED78E9011134DuL, ped, weaponSlot);
}

/// <summary>
/// WEAPON::GET_AMMO_IN_PED_WEAPON(PLAYER::PLAYER_PED_ID(), a_0)<br /><br />From decompiled scripts<br />Returns total ammo in weapon<br /><br />GTALua Example :<br />natives.WEAPON.GET_AMMO_IN_PED_WEAPON(plyPed, WeaponHash)<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x015A522136D7F951<br />
/// </para>
/// </remarks>
public static int GetAmmoInPedWeapon(int /* Ped */ ped, uint weaponhash){
return Function.Call<int>((Hash)0x015A522136D7F951uL, ped, weaponhash);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x78F0424C34306220<br />
/// </para>
/// </remarks>
public static void AddAmmoToPed(int /* Ped */ ped, uint weaponHash, int ammo){
Function.Call((Hash)0x78F0424C34306220uL, ped, weaponHash, ammo);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x14E56BC5B5DB6A19<br />
/// </para>
/// </remarks>
public static void SetPedAmmo(int /* Ped */ ped, uint weaponHash, int ammo, bool p3){
Function.Call((Hash)0x14E56BC5B5DB6A19uL, ped, weaponHash, ammo, p3);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3EDCB0505123623B<br />
/// </para>
/// </remarks>
public static void SetPedInfiniteAmmo(int /* Ped */ ped, bool toggle, uint weaponHash){
Function.Call((Hash)0x3EDCB0505123623BuL, ped, toggle, weaponHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x183DADC6AA953186<br />
/// </para>
/// </remarks>
public static void SetPedInfiniteAmmoClip(int /* Ped */ ped, bool toggle){
Function.Call((Hash)0x183DADC6AA953186uL, ped, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1868<br />
/// <b>Native ID:</b> 0x24C024BA8379A70A<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetPedStunGunFiniteAmmo(int /* bug: Any */ p0, int /* bug: Any */ p1){
Function.Call((Hash)0x24C024BA8379A70AuL, p0, p1);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBF0FD6E56C964FCB<br />
/// </para>
/// </remarks>
public static void GiveWeaponToPed(int /* Ped */ ped, uint weaponHash, int ammoCount, bool isHidden, bool bForceInHand){
Function.Call((Hash)0xBF0FD6E56C964FCBuL, ped, weaponHash, ammoCount, isHidden, bForceInHand);
}

/// <summary>
/// Gives a weapon to PED with a delay, example:<br /><br />WEAPON::GIVE_DELAYED_WEAPON_TO_PED(PED::PLAYER_PED_ID(), MISC::GET_HASH_KEY(&quot;WEAPON_PISTOL&quot;), 1000, false)<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB282DC6EBD803C75<br />
/// </para>
/// </remarks>
public static void GiveDelayedWeaponToPed(int /* Ped */ ped, uint weaponHash, int ammoCount, bool bForceInHand){
Function.Call((Hash)0xB282DC6EBD803C75uL, ped, weaponHash, ammoCount, bForceInHand);
}

/// <summary>
/// setting the last params to false it does that same so I would suggest its not a toggle
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF25DF915FA38C5F3<br />
/// </para>
/// </remarks>
public static void RemoveAllPedWeapons(int /* Ped */ ped, bool p1){
Function.Call((Hash)0xF25DF915FA38C5F3uL, ped, p1);
}

/// <summary>
/// This native removes a specified weapon from your selected ped.<br /><br />Example:<br />C#:<br />Function.Call(Hash.REMOVE_WEAPON_FROM_PED, Game.Player.Character, 0x99B507EA);<br /><br />C++:<br />WEAPON::REMOVE_WEAPON_FROM_PED(PLAYER::PLAYER_PED_ID(), 0x99B507EA);<br /><br />The code above removes the knife from the player.<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4899CB088EDF59B8<br />
/// </para>
/// </remarks>
public static void RemoveWeaponFromPed(int /* Ped */ ped, uint weaponHash){
Function.Call((Hash)0x4899CB088EDF59B8uL, ped, weaponHash);
}

/// <summary>
/// Hides the players weapon during a cutscene.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6F6981D2253C208F<br />
/// </para>
/// </remarks>
public static void HidePedWeaponForScriptedCutscene(int /* Ped */ ped, bool toggle){
Function.Call((Hash)0x6F6981D2253C208FuL, ped, toggle);
}

/// <summary>
/// Has 5 parameters since latest patches.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0725A4CCFDED9A70<br />
/// </para>
/// </remarks>
public static void SetPedCurrentWeaponVisible(int /* Ped */ ped, bool visible, bool deselectWeapon, bool p3, bool p4){
Function.Call((Hash)0x0725A4CCFDED9A70uL, ped, visible, deselectWeapon, p3, p4);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x476AE72C1D19D1A8<br />
/// </para>
/// </remarks>
public static void SetPedDropsWeaponsWhenDead(int /* Ped */ ped, bool toggle){
Function.Call((Hash)0x476AE72C1D19D1A8uL, ped, toggle);
}

/// <summary>
/// It determines what weapons caused damage:<br /><br />If you want to define only a specific weapon, second parameter=weapon hash code, third parameter=0<br />If you want to define any melee weapon, second parameter=0, third parameter=1.<br />If you want to identify any weapon (firearms, melee, rockets, etc.), second parameter=0, third parameter=2.<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2D343D2219CD027A<br />
/// </para>
/// </remarks>
public static bool HasPedBeenDamagedByWeapon(int /* Ped */ ped, uint weaponHash, int weaponType){
return Function.Call<bool>((Hash)0x2D343D2219CD027AuL, ped, weaponHash, weaponType);
}

/// <summary>
/// Does NOT seem to work with HAS_PED_BEEN_DAMAGED_BY_WEAPON. Use CLEAR_ENTITY_LAST_WEAPON_DAMAGE and HAS_ENTITY_BEEN_DAMAGED_BY_WEAPON instead.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0E98F88A24C5F4B8<br />
/// </para>
/// </remarks>
public static void ClearPedLastWeaponDamage(int /* Ped */ ped){
Function.Call((Hash)0x0E98F88A24C5F4B8uL, ped);
}

/// <summary>
/// It determines what weapons caused damage:<br /><br />If you want to define only a specific weapon, second parameter=weapon hash code, third parameter=0<br />If you want to define any melee weapon, second parameter=0, third parameter=1.<br />If you want to identify any weapon (firearms, melee, rockets, etc.), second parameter=0, third parameter=2.<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x131D401334815E94<br />
/// </para>
/// </remarks>
public static bool HasEntityBeenDamagedByWeapon(int /* Entity */ entity, uint weaponHash, int weaponType){
return Function.Call<bool>((Hash)0x131D401334815E94uL, entity, weaponHash, weaponType);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAC678E40BE7C74D2<br />
/// </para>
/// </remarks>
public static void ClearEntityLastWeaponDamage(int /* Entity */ entity){
Function.Call((Hash)0xAC678E40BE7C74D2uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6B7513D9966FBEC0<br />
/// </para>
/// </remarks>
public static void SetPedDropsWeapon(int /* Ped */ ped){
Function.Call((Hash)0x6B7513D9966FBEC0uL, ped);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x208A1888007FC0E6<br />
/// </para>
/// </remarks>
public static void SetPedDropsInventoryWeapon(int /* Ped */ ped, uint weaponHash, float xOffset, float yOffset, float zOffset, int ammoCount){
Function.Call((Hash)0x208A1888007FC0E6uL, ped, weaponHash, xOffset, yOffset, zOffset, ammoCount);
}

/// <summary>
/// p2 is mostly 1 in the scripts.<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA38DCFFCEA8962FA<br />
/// </para>
/// </remarks>
public static int GetMaxAmmoInClip(int /* Ped */ ped, uint weaponHash, bool p2){
return Function.Call<int>((Hash)0xA38DCFFCEA8962FAuL, ped, weaponHash, p2);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2E1202248937775C<br />
/// </para>
/// </remarks>
public static bool GetAmmoInClip(int /* Ped */ ped, uint weaponHash, ref int ammo){
var nativeAssistPointerVar0 = ammo;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x2E1202248937775CuL, ped, weaponHash, &nativeAssistPointerVar0);
}
ammo = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDCD2A934D65CB497<br />
/// </para>
/// </remarks>
public static bool SetAmmoInClip(int /* Ped */ ped, uint weaponHash, int ammo){
return Function.Call<bool>((Hash)0xDCD2A934D65CB497uL, ped, weaponHash, ammo);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDC16122C7A20C933<br />
/// </para>
/// </remarks>
public static bool GetMaxAmmo(int /* Ped */ ped, uint weaponHash, ref int ammo){
var nativeAssistPointerVar0 = ammo;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xDC16122C7A20C933uL, ped, weaponHash, &nativeAssistPointerVar0);
}
ammo = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// Returns the max ammo for an ammo type. Ammo types: https://gist.github.com/root-cause/faf41f59f7a6d818b7db0b839bd147c1
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0x585847C5E4E11709<br />
/// </para>
/// </remarks>
public static bool GetMaxAmmoByType(int /* Ped */ ped, uint ammoTypeHash, ref int ammo){
var nativeAssistPointerVar0 = ammo;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x585847C5E4E11709uL, ped, ammoTypeHash, &nativeAssistPointerVar0);
}
ammo = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// Ammo types: https://gist.github.com/root-cause/faf41f59f7a6d818b7db0b839bd147c1
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0x2472622CE1F2D45F<br />
/// </para>
/// </remarks>
public static void AddPedAmmoByType(int /* Ped */ ped, uint ammoTypeHash, int ammo){
Function.Call((Hash)0x2472622CE1F2D45FuL, ped, ammoTypeHash, ammo);
}

/// <summary>
/// Ammo types: https://gist.github.com/root-cause/faf41f59f7a6d818b7db0b839bd147c1
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5FD1E1F011E76D7E<br />
/// </para>
/// </remarks>
public static void SetPedAmmoByType(int /* Ped */ ped, uint ammoTypeHash, int ammo){
Function.Call((Hash)0x5FD1E1F011E76D7EuL, ped, ammoTypeHash, ammo);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x39D22031557946C1<br />
/// </para>
/// </remarks>
public static int GetPedAmmoByType(int /* Ped */ ped, uint ammoTypeHash){
return Function.Call<int>((Hash)0x39D22031557946C1uL, ped, ammoTypeHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA4EFEF9440A5B0EF<br />
/// </para>
/// </remarks>
public static void SetPedAmmoToDrop(int /* Ped */ ped, int p1){
Function.Call((Hash)0xA4EFEF9440A5B0EFuL, ped, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE620FD3512A04F18<br />
/// </para>
/// </remarks>
public static void SetPickupAmmoAmountScaler(float p0){
Function.Call((Hash)0xE620FD3512A04F18uL, p0);
}

/// <summary>
/// Returns the current ammo type of the specified ped&apos;s specified weapon.<br />MkII magazines will change the return value, like Pistol MkII returning AMMO_PISTOL without any components and returning AMMO_PISTOL_TRACER after Tracer Rounds component is attached.<br />Use 0xF489B44DD5AF4BD9 if you always want AMMO_PISTOL.<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7FEAD38B326B9F74<br />
/// </para>
/// </remarks>
public static uint GetPedAmmoTypeFromWeapon(int /* Ped */ ped, uint weaponHash){
return Function.Call<uint>((Hash)0x7FEAD38B326B9F74uL, ped, weaponHash);
}

/// <summary>
/// Returns the base/default ammo type of the specified ped&apos;s specified weapon.<br />Use GET_PED_AMMO_TYPE_FROM_WEAPON if you want current ammo type (like AMMO_MG_INCENDIARY/AMMO_MG_TRACER while using MkII magazines) and use this if you want base ammo type. (AMMO_MG)<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0xF489B44DD5AF4BD9<br />
/// </para>
/// </remarks>
public static uint GetPedOriginalAmmoTypeFromWeapon(int /* Ped */ ped, uint weaponHash){
return Function.Call<uint>((Hash)0xF489B44DD5AF4BD9uL, ped, weaponHash);
}

/// <summary>
/// Pass ped. Pass address of Vector3.<br />The coord will be put into the Vector3.<br />The return will determine whether there was a coord found or not.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6C4D0409BA1A2BC2<br />
/// </para>
/// </remarks>
public static bool GetPedLastWeaponImpactCoord(int /* Ped */ ped, ref Vector3 coords){
var nativeAssistPointerVar0 = coords;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x6C4D0409BA1A2BC2uL, ped, &nativeAssistPointerVar0);
}
coords = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// p1/gadgetHash was always 0xFBAB5776 (&quot;GADGET_PARACHUTE&quot;).<br />p2 is always true.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD0D7B1E680ED4A1A<br />
/// </para>
/// </remarks>
public static void SetPedGadget(int /* Ped */ ped, uint gadgetHash, bool p2){
Function.Call((Hash)0xD0D7B1E680ED4A1AuL, ped, gadgetHash, p2);
}

/// <summary>
/// gadgetHash - was always 0xFBAB5776 (&quot;GADGET_PARACHUTE&quot;).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF731332072F5156C<br />
/// </para>
/// </remarks>
public static bool GetIsPedGadgetEquipped(int /* Ped */ ped, uint gadgetHash){
return Function.Call<bool>((Hash)0xF731332072F5156CuL, ped, gadgetHash);
}

/// <summary>
/// Returns the hash of the weapon. <br /><br />            var num7 = WEAPON::GET_SELECTED_PED_WEAPON(num4);<br />            sub_27D3(num7);<br />            switch (num7)<br />            {<br />                case 0x24B17070:<br /><br />Also see WEAPON::GET_CURRENT_PED_WEAPON. Difference?<br /><br />-------------------------------------------------------------------------<br /><br />The difference is that GET_SELECTED_PED_WEAPON simply returns the ped&apos;s current weapon hash but GET_CURRENT_PED_WEAPON also checks the weapon object and returns true if the hash of the weapon object equals the weapon hash<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0A6DB4965674D243<br />
/// </para>
/// </remarks>
public static uint GetSelectedPedWeapon(int /* Ped */ ped){
return Function.Call<uint>((Hash)0x0A6DB4965674D243uL, ped);
}

/// <summary>
///              WEAPON::EXPLODE_PROJECTILES(PLAYER::PLAYER_PED_ID(), func_221(0x00000003), 0x00000001);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFC4BD125DE7611E4<br />
/// </para>
/// </remarks>
public static void ExplodeProjectiles(int /* Ped */ ped, uint weaponHash, bool p2){
Function.Call((Hash)0xFC4BD125DE7611E4uL, ped, weaponHash, p2);
}

/// <summary>
/// If `explode` true, then removal is done through exploding the projectile. Basically the same as EXPLODE_PROJECTILES but without defining the owner ped.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFC52E0F37E446528<br />
/// </para>
/// </remarks>
public static void RemoveAllProjectilesOfType(uint weaponHash, bool explode){
Function.Call((Hash)0xFC52E0F37E446528uL, weaponHash, explode);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x840F03E9041E2C9C<br />
/// </para>
/// </remarks>
public static float GetLockonDistanceOfCurrentPedWeapon(int /* Ped */ ped){
return Function.Call<float>((Hash)0x840F03E9041E2C9CuL, ped);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x814C9D19DFD69679<br />
/// </para>
/// </remarks>
public static float GetMaxRangeOfCurrentPedWeapon(int /* Ped */ ped){
return Function.Call<float>((Hash)0x814C9D19DFD69679uL, ped);
}

/// <summary>
/// Fourth Parameter = unsure, almost always -1
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x717C8481234E3B88<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool HasVehicleGotProjectileAttached(int /* Ped */ driver, int /* Vehicle */ vehicle, uint weaponHash, int /* bug: Any */ p3){
return Function.Call<bool>((Hash)0x717C8481234E3B88uL, driver, vehicle, weaponHash, p3);
}

/// <summary>
/// Full list of weapons &amp; components by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD966D51AA5B28BB9<br />
/// </para>
/// </remarks>
public static void GiveWeaponComponentToPed(int /* Ped */ ped, uint weaponHash, uint componentHash){
Function.Call((Hash)0xD966D51AA5B28BB9uL, ped, weaponHash, componentHash);
}

/// <summary>
/// Full list of weapons &amp; components by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1E8BE90C74FB4C09<br />
/// </para>
/// </remarks>
public static void RemoveWeaponComponentFromPed(int /* Ped */ ped, uint weaponHash, uint componentHash){
Function.Call((Hash)0x1E8BE90C74FB4C09uL, ped, weaponHash, componentHash);
}

/// <summary>
/// Full list of weapons &amp; components by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC593212475FAE340<br />
/// </para>
/// </remarks>
public static bool HasPedGotWeaponComponent(int /* Ped */ ped, uint weaponHash, uint componentHash){
return Function.Call<bool>((Hash)0xC593212475FAE340uL, ped, weaponHash, componentHash);
}

/// <summary>
/// Full list of weapons &amp; components by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0D78DE0572D3969E<br />
/// </para>
/// </remarks>
public static bool IsPedWeaponComponentActive(int /* Ped */ ped, uint weaponHash, uint componentHash){
return Function.Call<bool>((Hash)0x0D78DE0572D3969EuL, ped, weaponHash, componentHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8C0D57EA686FAD87<br />
/// </para>
/// </remarks>
public static bool RefillAmmoInstantly(int /* Ped */ ped){
return Function.Call<bool>((Hash)0x8C0D57EA686FAD87uL, ped);
}

/// <summary>
/// Forces a ped to reload only if they are able to; if they have a full magazine, they will not reload.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x20AE33F3AC9C0033<br />
/// </para>
/// </remarks>
public static bool MakePedReload(int /* Ped */ ped){
return Function.Call<bool>((Hash)0x20AE33F3AC9C0033uL, ped);
}

/// <summary>
/// Nearly every instance of p1 I found was 31. Nearly every instance of p2 I found was 0.<br /><br />REQUEST_WEAPON_ASSET(iLocal_1888, 31, 26);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5443438F033E29C3<br />
/// </para>
/// </remarks>
public static void RequestWeaponAsset(uint weaponHash, int p1, int p2){
Function.Call((Hash)0x5443438F033E29C3uL, weaponHash, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x36E353271F0E90EE<br />
/// </para>
/// </remarks>
public static bool HasWeaponAssetLoaded(uint weaponHash){
return Function.Call<bool>((Hash)0x36E353271F0E90EEuL, weaponHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAA08EF13F341C8FC<br />
/// </para>
/// </remarks>
public static void RemoveWeaponAsset(uint weaponHash){
Function.Call((Hash)0xAA08EF13F341C8FCuL, weaponHash);
}

/// <summary>
/// Now has 8 params.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9541D3CF0D398F36<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static int CreateWeaponObject(uint weaponHash, int ammoCount, float x, float y, float z, bool showWorldModel, float scale, int /* bug: Any */ p7, int /* bug: Any */ p8, int /* bug: Any */ p9){
return Function.Call<int>((Hash)0x9541D3CF0D398F36uL, weaponHash, ammoCount, x, y, z, showWorldModel, scale, p7, p8, p9);
}

/// <summary>
/// componentHash:<br />(use WEAPON::GET_WEAPON_COMPONENT_TYPE_MODEL() to get hash value)<br />${component_at_ar_flsh}, ${component_at_ar_supp}, ${component_at_pi_flsh}, ${component_at_scope_large}, ${component_at_ar_supp_02}
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x33E179436C0B31DB<br />
/// </para>
/// </remarks>
public static void GiveWeaponComponentToWeaponObject(int /* Object */ weaponObject, uint componentHash){
Function.Call((Hash)0x33E179436C0B31DBuL, weaponObject, componentHash);
}

/// <summary>
/// see DOES_WEAPON_TAKE_WEAPON_COMPONENT for full list of weapons &amp; components
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF7D82B0D66777611<br />
/// </para>
/// </remarks>
public static void RemoveWeaponComponentFromWeaponObject(int /* Object */ @object, uint componentHash){
Function.Call((Hash)0xF7D82B0D66777611uL, @object, componentHash);
}

/// <summary>
/// see DOES_WEAPON_TAKE_WEAPON_COMPONENT for full list of weapons &amp; components
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x76A18844E743BF91<br />
/// </para>
/// </remarks>
public static bool HasWeaponGotWeaponComponent(int /* Object */ weapon, uint componentHash){
return Function.Call<bool>((Hash)0x76A18844E743BF91uL, weapon, componentHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB1FA61371AF7C4B7<br />
/// </para>
/// </remarks>
public static void GiveWeaponObjectToPed(int /* Object */ weaponObject, int /* Ped */ ped){
Function.Call((Hash)0xB1FA61371AF7C4B7uL, weaponObject, ped);
}

/// <summary>
/// Full list of weapons &amp; components by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5CEE3DF569CECAB0<br />
/// </para>
/// </remarks>
public static bool DoesWeaponTakeWeaponComponent(uint weaponHash, uint componentHash){
return Function.Call<bool>((Hash)0x5CEE3DF569CECAB0uL, weaponHash, componentHash);
}

/// <summary>
/// Drops the current weapon and returns the object<br /><br />Unknown behavior when unarmed.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCAE1DC9A0E22A16D<br />
/// </para>
/// </remarks>
public static int GetWeaponObjectFromPed(int /* Ped */ ped, bool p1){
return Function.Call<int>((Hash)0xCAE1DC9A0E22A16DuL, ped, p1);
}

/// <summary>
/// Gives the specified loadout to the specified ped. <br />Loadouts are defined in common.rpf\data\ai\loadouts.meta
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 505<br />
/// <b>Native ID:</b> 0x68F8BE6AF5CDF8A6<br />
/// </para>
/// </remarks>
public static void GiveLoadoutToPed(int /* Ped */ ped, uint loadoutHash){
Function.Call((Hash)0x68F8BE6AF5CDF8A6uL, ped, loadoutHash);
}

/// <summary>
/// tintIndex can be the following:<br /><br />0 - Normal<br />1 - Green<br />2 - Gold<br />3 - Pink<br />4 - Army<br />5 - LSPD<br />6 - Orange<br />7 - Platinum<br />Full list of weapons, components &amp; tint indexes by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x50969B9B89ED5738<br />
/// </para>
/// </remarks>
public static void SetPedWeaponTintIndex(int /* Ped */ ped, uint weaponHash, int tintIndex){
Function.Call((Hash)0x50969B9B89ED5738uL, ped, weaponHash, tintIndex);
}

/// <summary>
/// Full list of weapons, components &amp; tint indexes by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2B9EEDC07BD06B9F<br />
/// </para>
/// </remarks>
public static int GetPedWeaponTintIndex(int /* Ped */ ped, uint weaponHash){
return Function.Call<int>((Hash)0x2B9EEDC07BD06B9FuL, ped, weaponHash);
}

/// <summary>
/// Full list of weapons, components &amp; tint indexes by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF827589017D4E4A9<br />
/// </para>
/// </remarks>
public static void SetWeaponObjectTintIndex(int /* Object */ weapon, int tintIndex){
Function.Call((Hash)0xF827589017D4E4A9uL, weapon, tintIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCD183314F7CD2E57<br />
/// </para>
/// </remarks>
public static int GetWeaponObjectTintIndex(int /* Object */ weapon){
return Function.Call<int>((Hash)0xCD183314F7CD2E57uL, weapon);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5DCF6C5CAB2E9BF7<br />
/// </para>
/// </remarks>
public static int GetWeaponTintCount(uint weaponHash){
return Function.Call<int>((Hash)0x5DCF6C5CAB2E9BF7uL, weaponHash);
}

/// <summary>
/// Colors:<br />0 = Gray<br />1 = Dark Gray<br />2 = Black<br />3 = White<br />4 = Blue<br />5 = Cyan<br />6 = Aqua<br />7 = Cool Blue<br />8 = Dark Blue<br />9 = Royal Blue<br />10 = Plum<br />11 = Dark Purple<br />12 = Purple<br />13 = Red<br />14 = Wine Red<br />15 = Magenta<br />16 = Pink<br />17 = Salmon<br />18 = Hot Pink<br />19 = Rust Orange<br />20 = Brown<br />21 = Earth<br />22 = Orange<br />23 = Light Orange<br />24 = Dark Yellow<br />25 = Yellow<br />26 = Light Brown<br />27 = Lime Green<br />28 = Olive<br />29 = Moss<br />30 = Turquoise<br />31 = Dark Green<br />Full list of weapons, components, tint indexes &amp; weapon liveries by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0x9FE5633880ECD8ED<br />
/// </para>
/// </remarks>
public static void SetPedWeaponComponentTintIndex(int /* Ped */ ped, uint weaponHash, uint camoComponentHash, int colorIndex){
Function.Call((Hash)0x9FE5633880ECD8EDuL, ped, weaponHash, camoComponentHash, colorIndex);
}

/// <summary>
/// Returns -1 if camoComponentHash is invalid/not attached to the weapon.<br />Full list of weapons, components, tint indexes &amp; weapon liveries by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0xF0A60040BE558F2D<br />
/// </para>
/// </remarks>
public static int GetPedWeaponComponentTintIndex(int /* Ped */ ped, uint weaponHash, uint camoComponentHash){
return Function.Call<int>((Hash)0xF0A60040BE558F2DuL, ped, weaponHash, camoComponentHash);
}

/// <summary>
/// Colors:<br />0 = Gray<br />1 = Dark Gray<br />2 = Black<br />3 = White<br />4 = Blue<br />5 = Cyan<br />6 = Aqua<br />7 = Cool Blue<br />8 = Dark Blue<br />9 = Royal Blue<br />10 = Plum<br />11 = Dark Purple<br />12 = Purple<br />13 = Red<br />14 = Wine Red<br />15 = Magenta<br />16 = Pink<br />17 = Salmon<br />18 = Hot Pink<br />19 = Rust Orange<br />20 = Brown<br />21 = Earth<br />22 = Orange<br />23 = Light Orange<br />24 = Dark Yellow<br />25 = Yellow<br />26 = Light Brown<br />27 = Lime Green<br />28 = Olive<br />29 = Moss<br />30 = Turquoise<br />31 = Dark Green<br />Full list of weapons, components, tint indexes &amp; weapon liveries by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0x5DA825A85D0EA6E6<br />
/// </para>
/// </remarks>
public static void SetWeaponObjectComponentTintIndex(int /* Object */ weaponObject, uint camoComponentHash, int colorIndex){
Function.Call((Hash)0x5DA825A85D0EA6E6uL, weaponObject, camoComponentHash, colorIndex);
}

/// <summary>
/// Returns -1 if camoComponentHash is invalid/not attached to the weapon object.<br />Full list of weapons, components, tint indexes &amp; weapon liveries by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0xB3EA4FEABF41464B<br />
/// </para>
/// </remarks>
public static int GetWeaponObjectComponentTintIndex(int /* Object */ weaponObject, uint camoComponentHash){
return Function.Call<int>((Hash)0xB3EA4FEABF41464BuL, weaponObject, camoComponentHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0xA2C9AC24B4061285<br />
/// </para>
/// </remarks>
public static int GetPedWeaponCamoIndex(int /* Ped */ ped, uint weaponHash){
return Function.Call<int>((Hash)0xA2C9AC24B4061285uL, ped, weaponHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0x977CA98939E82E4B<br />
/// </para>
/// </remarks>
public static void SetWeaponObjectCamoIndex(int /* Object */ weaponObject, int p1){
Function.Call((Hash)0x977CA98939E82E4BuL, weaponObject, p1);
}

/// <summary>
/// struct WeaponHudStatsData<br />{<br />    BYTE hudDamage; // 0x0000<br />    char _0x0001[0x7]; // 0x0001<br />    BYTE hudSpeed; // 0x0008<br />    char _0x0009[0x7]; // 0x0009<br />    BYTE hudCapacity; // 0x0010<br />    char _0x0011[0x7]; // 0x0011<br />    BYTE hudAccuracy; // 0x0018<br />    char _0x0019[0x7]; // 0x0019<br />    BYTE hudRange; // 0x0020<br />};<br /><br />Usage:<br /><br />WeaponHudStatsData data;<br />if (GET_WEAPON_HUD_STATS(weaponHash, (int *)&amp;data))<br />{<br />    // BYTE damagePercentage = data.hudDamage and so on<br />}<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD92C739EE34C9EBA<br />
/// </para>
/// </remarks>
public static bool GetWeaponHudStats(uint weaponHash, int /* bug: structure */ outData){
return Function.Call<bool>((Hash)0xD92C739EE34C9EBAuL, weaponHash, outData);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB3CAF387AE12E9F8<br />
/// </para>
/// </remarks>
public static bool GetWeaponComponentHudStats(uint componentHash, int /* bug: structure */ outData){
return Function.Call<bool>((Hash)0xB3CAF387AE12E9F8uL, componentHash, outData);
}

/// <summary>
/// This native does not return damages of weapons from the melee and explosive group.<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3133B907D8B32053<br />
/// </para>
/// </remarks>
public static float GetWeaponDamage(uint weaponHash, uint componentHash){
return Function.Call<float>((Hash)0x3133B907D8B32053uL, weaponHash, componentHash);
}

/// <summary>
/// // Returns the size of the default weapon component clip.<br /><br />Use it like this:<br /><br />char cClipSize[32];<br />Hash cur;<br />if (WEAPON::GET_CURRENT_PED_WEAPON(playerPed, &amp;cur, 1))<br />{<br />    if (WEAPON::IS_WEAPON_VALID(cur))<br />    {<br />        int iClipSize = WEAPON::GET_WEAPON_CLIP_SIZE(cur);<br />        sprintf_s(cClipSize, &quot;ClipSize: %.d&quot;, iClipSize);<br />        vDrawString(cClipSize, 0.5f, 0.5f);<br />    }<br />}<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x583BE370B1EC6EB4<br />
/// </para>
/// </remarks>
public static int GetWeaponClipSize(uint weaponHash){
return Function.Call<int>((Hash)0x583BE370B1EC6EB4uL, weaponHash);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0x065D2AACAD8CF7A4<br />
/// </para>
/// </remarks>
public static float GetWeaponTimeBetweenShots(uint weaponHash){
return Function.Call<float>((Hash)0x065D2AACAD8CF7A4uL, weaponHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8378627201D5497D<br />
/// </para>
/// </remarks>
public static void SetPedChanceOfFiringBlanks(int /* Ped */ ped, float xBias, float yBias){
Function.Call((Hash)0x8378627201D5497DuL, ped, xBias, yBias);
}

/// <summary>
/// Returns handle of the projectile.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB4C8D77C80C0421E<br />
/// </para>
/// </remarks>
public static int SetPedShootOrdnanceWeapon(int /* Ped */ ped, float p1){
return Function.Call<int>((Hash)0xB4C8D77C80C0421EuL, ped, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x48164DBB970AC3F0<br />
/// </para>
/// </remarks>
public static void RequestWeaponHighDetailModel(int /* Entity */ weaponObject){
Function.Call((Hash)0x48164DBB970AC3F0uL, weaponObject);
}

/// <summary>
/// Changes the weapon damage output by the given multiplier value. Must be run every frame.<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 505<br />
/// <b>Native ID:</b> 0x4757F00BC6323CFE<br />
/// </para>
/// </remarks>
public static void SetWeaponDamageModifier(uint weaponHash, float damageMultiplier){
Function.Call((Hash)0x4757F00BC6323CFEuL, weaponHash, damageMultiplier);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 2372<br />
/// <b>Native ID:</b> 0x4AE5AC8B852D642C<br />
/// </para>
/// </remarks>
public static void SetWeaponAoeModifier(uint weaponHash, float multiplier){
Function.Call((Hash)0x4AE5AC8B852D642CuL, weaponHash, multiplier);
}

/// <summary>
/// ex, WEAPON::SET_WEAPON_EFFECT_DURATION_MODIFIER(joaat(&quot;vehicle_weapon_mine_slick&quot;), 1.0);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 2372<br />
/// <b>Native ID:</b> 0xE6D2CEDD370FF98E<br />
/// </para>
/// </remarks>
public static void SetWeaponEffectDurationModifier(uint p0, float p1){
Function.Call((Hash)0xE6D2CEDD370FF98EuL, p0, p1);
}

/// <summary>
/// This native returns a true or false value.<br /><br />Ped ped = The ped whose weapon you want to check.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x65F0C5AE05943EC7<br />
/// </para>
/// </remarks>
public static bool IsPedCurrentWeaponSilenced(int /* Ped */ ped){
return Function.Call<bool>((Hash)0x65F0C5AE05943EC7uL, ped);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4B7620C47217126C<br />
/// </para>
/// </remarks>
public static bool IsFlashLightOn(int /* Ped */ ped){
return Function.Call<bool>((Hash)0x4B7620C47217126CuL, ped);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCEA66DAD478CD39B<br />
/// </para>
/// </remarks>
public static bool SetFlashLightFadeDistance(float distance){
return Function.Call<bool>((Hash)0xCEA66DAD478CD39BuL, distance);
}

/// <summary>
/// Enables/disables flashlight on ped&apos;s weapon.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 2060<br />
/// <b>Native ID:</b> 0x988DB6FE9B3AC000<br />
/// </para>
/// </remarks>
public static void SetFlashLightActiveHistory(int /* Ped */ ped, bool toggle){
Function.Call((Hash)0x988DB6FE9B3AC000uL, ped, toggle);
}

/// <summary>
/// Changes the selected ped aiming animation style. <br />Note : You must use GET_HASH_KEY!<br /><br />Strings to use with GET_HASH_KEY :<br /><br />    &quot;Ballistic&quot;,<br />    &quot;Default&quot;,<br />  &quot;Fat&quot;,<br />  &quot;Female&quot;,<br />   &quot;FirstPerson&quot;,<br />  &quot;FirstPersonAiming&quot;,<br />    &quot;FirstPersonFranklin&quot;,<br />  &quot;FirstPersonFranklinAiming&quot;,<br />    &quot;FirstPersonFranklinRNG&quot;,<br />   &quot;FirstPersonFranklinScope&quot;,<br /> &quot;FirstPersonMPFemale&quot;,<br />  &quot;FirstPersonMichael&quot;,<br />   &quot;FirstPersonMichaelAiming&quot;,<br /> &quot;FirstPersonMichaelRNG&quot;,<br />    &quot;FirstPersonMichaelScope&quot;,<br />  &quot;FirstPersonRNG&quot;,<br />   &quot;FirstPersonScope&quot;,<br /> &quot;FirstPersonTrevor&quot;,<br />    &quot;FirstPersonTrevorAiming&quot;,<br />  &quot;FirstPersonTrevorRNG&quot;,<br /> &quot;FirstPersonTrevorScope&quot;,<br />   &quot;Franklin&quot;,<br /> &quot;Gang&quot;,<br /> &quot;Gang1H&quot;,<br />   &quot;GangFemale&quot;,<br />   &quot;Hillbilly&quot;,<br />    &quot;MP_F_Freemode&quot;,<br />    &quot;Michael&quot;,<br />  &quot;SuperFat&quot;,<br /> &quot;Trevor&quot;
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1055AC3A667F09D9<br />
/// </para>
/// </remarks>
public static void SetWeaponAnimationOverride(int /* Ped */ ped, uint animStyle){
Function.Call((Hash)0x1055AC3A667F09D9uL, ped, animStyle);
}

/// <summary>
/// enum class eDamageType<br />{<br />	UNKNOWN = 0,<br />	NONE = 1,<br />	MELEE = 2,<br />	BULLET = 3,<br />	BULLET_RUBBER = 4,<br />	EXPLOSIVE = 5,<br />	FIRE = 6,<br />	COLLISION = 7,<br />	FALL = 8,<br />	DROWN = 9,<br />	ELECTRIC = 10,<br />	BARBED_WIRE = 11,<br />	FIRE_EXTINGUISHER = 12,<br />	SMOKE = 13,<br />	WATER_CANNON = 14,<br />	TRANQUILIZER = 15,<br />};<br /><br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3BE0BB12D25FB305<br />
/// </para>
/// </remarks>
public static int GetWeaponDamageType(uint weaponHash){
return Function.Call<int>((Hash)0x3BE0BB12D25FB305uL, weaponHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE4DCEC7FD5B739A5<br />
/// </para>
/// </remarks>
public static void SetEqippedWeaponStartSpinningAtFullSpeed(int /* Ped */ ped){
Function.Call((Hash)0xE4DCEC7FD5B739A5uL, ped);
}

/// <summary>
/// this returns if you can use the weapon while using a parachute<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBC7BE5ABC0879F74<br />
/// </para>
/// </remarks>
public static bool CanUseWeaponOnParachute(uint weaponHash){
return Function.Call<bool>((Hash)0xBC7BE5ABC0879F74uL, weaponHash);
}

/// <summary>
/// Both coordinates are from objects in the decompiled scripts. Native related to 0xECDC202B25E5CF48 p1 value. The only weapon hash used in the decompiled scripts is weapon_air_defence_gun. These two natives are used by the yacht script, decompiled scripts suggest it and the weapon hash used (valkyrie&apos;s rockets) are also used by yachts.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 573<br />
/// <b>Native ID:</b> 0x91EF34584710BE99<br />
/// </para>
/// </remarks>
public static int CreateAirDefenceSphere(float x, float y, float z, float radius, float p4, float p5, float p6, uint weaponHash){
return Function.Call<int>((Hash)0x91EF34584710BE99uL, x, y, z, radius, p4, p5, p6, weaponHash);
}

/// <summary>
/// Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1011<br />
/// <b>Native ID:</b> 0x9DA58CDBF6BDBC08<br />
/// </para>
/// </remarks>
public static int CreateAirDefenceAngledArea(float p0, float p1, float p2, float p3, float p4, float p5, float p6, float p7, float p8, float radius, uint weaponHash){
return Function.Call<int>((Hash)0x9DA58CDBF6BDBC08uL, p0, p1, p2, p3, p4, p5, p6, p7, p8, radius, weaponHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 573<br />
/// <b>Native ID:</b> 0x0ABF535877897560<br />
/// </para>
/// </remarks>
public static bool RemoveAirDefenceSphere(int zoneId){
return Function.Call<bool>((Hash)0x0ABF535877897560uL, zoneId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 573<br />
/// <b>Native ID:</b> 0x1E45B34ADEBEE48E<br />
/// </para>
/// </remarks>
public static void RemoveAllAirDefenceSpheres(){
Function.Call((Hash)0x1E45B34ADEBEE48EuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 573<br />
/// <b>Native ID:</b> 0xECDC202B25E5CF48<br />
/// </para>
/// </remarks>
public static void SetPlayerTargettableForAirDefenceSphere(int /* Player */ player, int zoneId, bool enable){
Function.Call((Hash)0xECDC202B25E5CF48uL, player, zoneId, enable);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0xDAB963831DBFD3F4<br />
/// </para>
/// </remarks>
public static bool IsAirDefenceSphereInArea(float x, float y, float z, float radius, ref int outZoneId){
var nativeAssistPointerVar0 = outZoneId;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xDAB963831DBFD3F4uL, x, y, z, radius, &nativeAssistPointerVar0);
}
outZoneId = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 573<br />
/// <b>Native ID:</b> 0x44F1012B69313374<br />
/// </para>
/// </remarks>
public static void FireAirDefenceSphereWeaponAtPosition(int zoneId, float x, float y, float z){
Function.Call((Hash)0x44F1012B69313374uL, zoneId, x, y, z);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 678<br />
/// <b>Native ID:</b> 0xCD79A550999D7D4F<br />
/// </para>
/// </remarks>
public static bool DoesAirDefenceSphereExist(int zoneId){
return Function.Call<bool>((Hash)0xCD79A550999D7D4FuL, zoneId);
}

/// <summary>
/// Disables selecting the given weapon. Ped isn&apos;t forced to put the gun away. However you can&apos;t reselect the weapon if you holster then unholster. Weapon is also grayed out on the weapon wheel.<br />Full list of weapons by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/weapons.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0xB4771B9AAF4E68E4<br />
/// </para>
/// </remarks>
public static void SetCanPedSelectInventoryWeapon(int /* Ped */ ped, uint weaponHash, bool toggle){
Function.Call((Hash)0xB4771B9AAF4E68E4uL, ped, weaponHash, toggle);
}

/// <summary>
/// Disable all weapons. Does the same as 0xB4771B9AAF4E68E4 except for all weapons.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Weapon<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0xEFF296097FF1E509<br />
/// </para>
/// </remarks>
public static void SetCanPedSelectAllWeapons(int /* Ped */ ped, bool toggle){
Function.Call((Hash)0xEFF296097FF1E509uL, ped, toggle);
}

}}
